#ifndef MOTIFBOX_RESOURCES_H
#define MOTIFBOX_RESOURCES_H 1

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

/* Resources for motifbox */

#define MotifBoxNtype        "type"
#define MotifBoxNmessage     "message"
#define MotifBoxNfold        "fold"
#define MotifBoxNdefButton   "def"

#define MotifBoxCtype        "Type"
#define MotifBoxCmessage     "Message"
#define MotifBoxCfold        "Fold"
#define MotifBoxCdefButton   "def"

#define DEF_FOLD    30
#define DEF_BUTTON  "yes"

typedef struct
{
    String    type;
    String    message;
    int       fold;
    String    defButton;
} ResourceValuesRec;

static ResourceValuesRec ResourceValues =
{
    (String) NULL,
    (String) NULL,
    (int) 0,
    (String) NULL
};

#define OFFSET(a) XtOffsetOf(ResourceValuesRec,a)

static XtResource Resources[] =
{
    { MotifBoxNtype, MotifBoxCtype, XtRString, sizeof ( String ),
      OFFSET(type), XtRString, (XtPointer) NULL },
    { MotifBoxNmessage, MotifBoxCmessage, XtRString, sizeof ( String ),
      OFFSET(message), XtRString, (XtPointer) NULL },
    { MotifBoxNfold, MotifBoxCfold, XtRInt, sizeof ( int ),
      OFFSET(fold), XtRImmediate, (XtPointer) DEF_FOLD },
    { MotifBoxNdefButton, MotifBoxCdefButton, XtRString, sizeof ( String ),
      OFFSET(defButton), XtRString, (XtPointer) NULL }
};

static Cardinal ResourceCount = XtNumber ( Resources );

static XrmOptionDescRec OptionList[] =
{
    { "-type",    MotifBoxNtype,      XrmoptionSepArg, (XtPointer) NULL },
    { "-message", MotifBoxNmessage,   XrmoptionSepArg, (XtPointer) NULL },
    { "-fold",    MotifBoxNfold,      XrmoptionSepArg, (XtPointer) DEF_FOLD },
    { "-def",     MotifBoxNdefButton, XrmoptionSepArg, (XtPointer) DEF_BUTTON }
};

static Cardinal OptionCount = XtNumber ( OptionList );

#endif /* MOTIFBOX_RESOURCES_H */
